# Uses of Class
org.springframework.aot.hint.JdkProxyHint.Builder

Packages that use JdkProxyHint.Builder
Package
Description
org.springframework.aot.hint
Support for registering the need for reflection, resources, java serialization and proxies at runtime.

## Uses of JdkProxyHint.Builder in org.springframework.aot.hint

Methods in org.springframework.aot.hint that return JdkProxyHint.Builder
Modifier and Type
Method
Description
`static JdkProxyHint.Builder`
JdkProxyHint.`of(Class<?>... proxiedInterfaces)`
Initialize a builder with the proxied interfaces to use.
`static JdkProxyHint.Builder`
JdkProxyHint.`of(TypeReference... proxiedInterfaces)`
Initialize a builder with the proxied interfaces to use.
`JdkProxyHint.Builder`
JdkProxyHint.Builder.`onReachableType(TypeReference reachableType)`
Make this hint conditional on the fact that the specified type can be resolved.
`JdkProxyHint.Builder`
JdkProxyHint.Builder.`proxiedInterfaces(Class<?>... proxiedInterfaces)`
Add the specified interfaces that the proxy should implement.
`JdkProxyHint.Builder`
JdkProxyHint.Builder.`proxiedInterfaces(TypeReference... proxiedInterfaces)`
Add the specified interfaces that the proxy should implement.
Method parameters in org.springframework.aot.hint with type arguments of type JdkProxyHint.Builder
Modifier and Type
Method
Description
`ProxyHints`
ProxyHints.`registerJdkProxy(Consumer<JdkProxyHint.Builder> jdkProxyHint)`
Register a `JdkProxyHint`.